# $Revision: 1.8 $, $Date: 2002/08/25 18:43:02 $
Summary:	Encrypted filesystems support for rc-scripts
Summary(pl):	Wsparcie dla szyfrowanych systemw plikw do skryptw startowych
Name:		cryptofs-init
Version:	1.2
Release:	2
License:	GPL
Group:		Base
Source0:	ftp://ftp.pld.org.pl/software/cryptofs-init/%{name}-%{version}.tar.gz
Requires:	losetup
Requires:	mount
Prereq:		rc-scripts
Prereq:		/sbin/chkconfig
Buildarch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a set of scripts to provide easy set up and
usage of encrypted filesystems and swap space.

%description -l pl
Ten pakiet zawiera zestaw skryptw zapewniajcy atwe ustawienie i
uytkowanie szyfrowanych systemw plikw oraz plikw/partycji wymiany

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%post
/sbin/chkconfig --add cryptofs

%postun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del cryptofs
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc modules.conf cryptofstab.example README
%verify(not size mtime md5) %config(noreplace) %{_sysconfdir}/cryptofstab
%attr(754,root,root) /etc/rc.d/init.d/cryptofs*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: cryptofs-init.spec,v $
Revision 1.8  2002/08/25 18:43:02  kloczek
- release 2: use new %doc.

Revision 1.7  2002/04/25 16:07:53  arturs
fixed a small typo

Revision 1.6  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:12:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.2  2001/07/11 09:22:33  zagrodzki
- updated to 1.2

Revision 1.1  2001/07/09 12:32:05  zagrodzki
- initial release

